List webhook deliveries

GET
/v1/webhook-deliveries

Authorization

AuthorizationRequiredBearer <token>

API key. Manage keys from the dashboard at app.bytekit.com.

In: header

Query Parameters

limitinteger
Default: 25Minimum: 1Maximum: 100
cursorstring

Pagination cursor from a previous response.

statusstring
Value in: "pending" | "delivered" | "failed" | "exhausted"
sincestring

Filter deliveries created after this ISO date.

Format: "date-time"
curl https://api.bytekit.com \
  -H "Authorization: Bearer sk_live_your_api_key_here"

Successful response.

{
  "data": [
    {
      "id": "wh_01j9abc123",
      "event_type": "bulk.completed",
      "target_url": "string",
      "status": "pending",
      "attempts": 0,
      "max_attempts": 0,
      "next_attempt_at": "2019-08-24T14:15:22Z",
      "response_status": 0,
      "response_ms": 0,
      "created_at": "2019-08-24T14:15:22Z",
      "delivered_at": "2019-08-24T14:15:22Z",
      "screenshot_id": "string",
      "recording_id": "string",
      "bulk_id": "string",
      "monitor_id": "string",
      "scrape_id": "string"
    }
  ],
  "next_cursor": "string",
  "has_more": true
}